Bug 431962 - repeat listing is too eager
repeat listing is too eager
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Stan Cox
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 22:17 EST by Stan Cox
Modified: 2011-02-15 04:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ListCommand.java patch (2.10 KB, patch)
2008-02-07 22:17 EST, Stan Cox
no flags Details | Diff
testcase script (6.48 KB, application/x-sh)
2008-02-07 22:23 EST, Stan Cox
no flags Details

  None (edit)
Description Stan Cox 2008-02-07 22:17:48 EST
Description of problem:
Repeat listing (list without any options) occurs for circumstances that can be
confusing to a user.  For example: in frame 0/file a, down to frame 1/file b,
back to frame 0/file a.

Risk of applying change:
Low.  The change turns off repeat processing.

Risk of not applying change:
To get the same effect users would need to list by line number: line N

Steps to Reproduce:
Run the test script on an unpatched fhpd.

Actual results:
list 3 will not be the same as list 1

Expected results:
list 3 will be the same as list 1
Comment 1 Stan Cox 2008-02-07 22:17:48 EST
Created attachment 294299 [details]
ListCommand.java patch
Comment 2 Stan Cox 2008-02-07 22:23:22 EST
Created attachment 294302 [details]
testcase script
Comment 3 Andrew Cagney 2008-02-08 17:27:50 EST
We need tests integrated into funit, not external test scripts.

Note You need to log in before you can comment on or make changes to this bug.